> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polymarket.us/llms.txt
> Use this file to discover all available pages before exploring further.

# Get RFQs

> Returns RFQs matching the query filters.



## OpenAPI

````yaml /institutional/oapi-schemas/combos-schema.json get /v1/combos/rfqs
openapi: 3.0.1
info:
  title: Combos API
  version: v1.0.0
servers:
  - url: https://api.prod.polymarketexchange.com
security: []
tags:
  - name: CombosAPI
paths:
  /v1/combos/rfqs:
    get:
      tags:
        - Combos
      summary: Get RFQs
      description: Returns RFQs matching the query filters.
      operationId: CombosAPI_GetRFQs
      parameters:
        - name: pageSize
          description: Number of RFQs to return. Max 100.
          in: query
          required: false
          schema:
            type: integer
            format: int32
            maximum: 100
        - name: pageToken
          in: query
          required: false
          schema:
            type: string
        - name: rfqId
          in: query
          required: false
          schema:
            type: string
        - name: rfqCreatorUserId
          in: query
          required: false
          schema:
            type: string
        - name: symbol
          description: Filter by combo symbol.
          in: query
          required: false
          schema:
            type: string
        - name: clientRequestId
          in: query
          required: false
          schema:
            type: string
        - name: status
          description: Filter by RFQ status.
          in: query
          required: false
          schema:
            type: string
            enum:
              - QUOTE_STATUS_PENDING
              - QUOTE_STATUS_ACCEPTED
              - QUOTE_STATUS_DELETED
              - QUOTE_STATUS_EXPIRED
              - QUOTE_STATUS_PASSED
              - QUOTE_STATUS_DONE_AWAY
              - QUOTE_STATUS_PENDING_RISK
              - QUOTE_STATUS_REJECTED
              - QUOTE_STATUS_PENDING_END_TRADE
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1GetRFQsResponse'
components:
  schemas:
    v1GetRFQsResponse:
      type: object
      properties:
        rfqs:
          type: array
          items:
            $ref: '#/components/schemas/v1RFQ'
        nextPageToken:
          type: string
        eof:
          type: boolean
    v1RFQ:
      type: object
      properties:
        id:
          type: string
        qtyDecimal:
          type: string
          nullable: true
        cashOrderQty:
          type: string
          nullable: true
        side:
          $ref: '#/components/schemas/v1Side'
        instrument:
          $ref: '#/components/schemas/v1ComboInstrument'
        rfqCreatorUserId:
          type: string
        clientRequestId:
          type: string
        expirationTime:
          type: string
          format: date-time
        createdTime:
          type: string
          format: date-time
    v1Side:
      type: string
      enum:
        - SIDE_BUY
        - SIDE_SELL
      description: Side indicates the side of an Order.
    v1ComboInstrument:
      type: object
      properties:
        id:
          type: string
        description:
          type: string
        eventId:
          type: string
        eventDisplayName:
          type: string
        question:
          type: string
        legs:
          type: array
          items:
            $ref: '#/components/schemas/v1ComboInstrumentLeg'
        expirationTime:
          type: string
          format: date-time
        tickSize:
          type: number
          format: double
    v1ComboInstrumentLeg:
      type: object
      properties:
        instrumentId:
          type: string
        side:
          $ref: '#/components/schemas/v1Side'

````